{
	myPopup
	langStr ["temp"]

	Init[ (s)
	{
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddMenuSlider(524,"SoundFXSlider",100,10);
		AddMenuSlider(525,"MusicSlider",100,10);
		AddStaticItem(26);
		if(MuteOnCall())
		{
			AddMenuItem(500, "MuteOff");
		}
		else
		{
			AddMenuItem(501, "MuteOn");
		}
		if (GameActive() and CheatsActivated() )
		{
			if (GetPlayer().GetInvulnerable())
			{
				if (IsMultiplayer())
				{
					AddStaticItem(113);
				}
				else
				{
					AddMenuItem(113,"GodModeOFF");
				}
			}
			else
			{
				if (IsMultiplayer())
				{
					AddStaticItem(114);
				}
				else
				{
					AddMenuItem(114,"GodModeON");
				}
			}
		}
		else
		{
			AddStaticItem(26);
		}


		AddMenuItem(521,"PopLanguage");

		AddStaticItem(26);

		AddMenuItem(115,"CustControlsMenu");
                funtext=AddFloatingTextJustify(530, 0, 195, false,32767);
                funtext.SetFontNum(1);
		funtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		funtext.SetFontNum(1);




		if (GameActive())
		{
			myPopup=CreatePopupMenu(15,75,150,90);
			myPopup.AddItem(langStr);
			myPopup.AddItem("English","SetEnglish");
			myPopup.AddItem("Español","SetSpanish");
			myPopup.AddItem("Deutsch","SetGerman");
			myPopup.AddItem("Français","SetFrench");
			myPopup.AddItem("Italiano","SetItalian");
			myPopup.AddItem("UK English","SetEnglishUK");
			myPopup.SetSelectable(0,false);
			myPopup.SetVisible(false);
			myPopup.SetSelectedItem(1);
			myPopup.SetBackground();
			myPopup.SetBack("OptionsClosePopup");
		}
		else
		{
			myPopup=CreatePopupMenu(15,75,150,90);
			myPopup.AddItem(langStr);
			myPopup.AddItem("English","SetEnglish");
			myPopup.AddItem("Español","SetSpanish");
			myPopup.AddItem("Deutsch","SetGerman");
			myPopup.AddItem("Français","SetFrench");
			myPopup.AddItem("Italiano","SetItalian");
			myPopup.AddItem("UK English","SetEnglishUK");
			myPopup.SetSelectable(0,false);
			myPopup.SetVisible(false);
			myPopup.SetSelectedItem(1);
			myPopup.SetBackground();
			myPopup.SetBack("OptionsClosePopup");

		}
	} ]

//	MenuSoundVolume[ (s)
//	{
//		SoundVolume();
//	} ]

	MuteOff[()
	{
		SetMuteOnCall(false);
		ClearMenu();
		Init();
	}]
	MuteOn[()
	{
		SetMuteOnCall(true);
		ClearMenu();
		Init();
	}]

	CustControlsMenu[ (s)
	{
		SetConfigPage(1);
		OpenMenu("ConfigKeys");
	} ]

	OptionsBack[ (s)
	{
		OpenMenu("MainMenu");
	} ]

	GodModeOFF[ (s)
	{
		GetPlayer().SetInvulnerable(false);
		GetPlayer().UseAmmo(true);
		ClearMenu();
		Init();
	} ]

	GodModeON[ (s)
	{
		GetPlayer().SetInvulnerable(true);
		GetPlayer().UseAmmo(false);
		ClearMenu();
		Init();
	} ]

	OnRightSoftkey[ (s)
	{
		OptionsMenuBack();
	} ]


	SetEnglish[ ()
	{
		SetLanguage(0);
		myPopup.SetVisible(false);
		ClearMenu();
		Init();
	} ]

	SetSpanish[ ()
	{
		SetLanguage(1);
		myPopup.SetVisible(false);
		ClearMenu();
		Init();
	} ]

	SetGerman[ ()
	{
		SetLanguage(2);
		myPopup.SetVisible(false);
		ClearMenu();
		Init();
	} ]

	SetFrench[ ()
	{
		SetLanguage(3);
		myPopup.SetVisible(false);
		ClearMenu();
		Init();
	} ]

	SetItalian[ ()
	{
		SetLanguage(4);
		myPopup.SetVisible(false);
		ClearMenu();
		Init();
	} ]

	SetEnglishUK[ ()
	{
		SetLanguage(5);
		myPopup.SetVisible(false);
		ClearMenu();
		Init();
	} ]

	OptionsClosePopup[ ()
	{
		myPopup.SetVisible(false);
		ClearMenu();
		Init();
	} ]


	PopLanguage[ ()
	{
		langStr = GetLanguageStr();
		myPopup.UpdatePopupItem(0,""#langStr);

		myPopup.SetVisible(true);
		myPopup.SetSelectedItem(1);
	} ]


}